export declare abstract class StorageService {
    abstract getItem(key: string): string | null;
    abstract setItem(key: string, value: string): void;
    abstract removeItem(key: string): void;
    abstract clear(): void;
    abstract key(index: number): string | null;
    abstract get length(): number;
}
export declare class LocalStorageService extends StorageService {
    getItem(key: string): string;
    setItem(key: string, value: string): void;
    removeItem(key: string): void;
    clear(): void;
    key(index: number): string;
    get length(): number;
}
export declare class ServerStorageService extends StorageService {
    private store;
    getItem(key: string): string;
    setItem(key: string, value: string): void;
    removeItem(key: string): void;
    clear(): void;
    key(index: number): string;
    get length(): number;
}
