import { HttpRequest } from '@angular/common/http';
import { Observable } from 'rxjs';
import { MockApiService } from './mock-api.service';
export type MockApiEnvironments = 'design' | 'development' | 'production';
export type MockApiHandler = (mockService: MockApiService, ...args: Array<unknown>) => void;
export type RegisterMock = (environments: Array<MockApiEnvironments>, handler: MockApiHandler) => void;
export type MockApiReplyCallback = ((data: {
    request: HttpRequest<any>;
    urlParams: {
        [key: string]: string;
    };
}) => ([number, string | any]) | Observable<any>) | undefined;
export type MockApiMethods = 'get' | 'post' | 'patch' | 'delete' | 'put' | 'head' | 'jsonp' | 'options';
